Bug 698607 - No metrics show in the summary tab of an autogroup
No metrics show in the summary tab of an autogroup
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
urgent Severity unspecified (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On:
Blocks: jon3 rhq401
  Show dependency treegraph
 
Reported: 2011-04-21 07:35 EDT by Heiko W. Rupp
Modified: 2011-05-23 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-04-21 07:35:15 EDT
Go to an autogroup in the tree like cpus or file systems.
Go to the summary tab. Note that the metrics porlet says "This resource has no metrics" (*)
Go to the monitoring tab and see that it has metrics.
Go back to summary tab, try to refresh. Still no metrics.

Not that for real explicit compatible groups, the summary tab metrics are shown.

*) Also the error of "this resource" is obviously wrong for an autogroup.
Comment 1 Simeon Pinder 2011-04-28 16:41:08 EDT
Fixed, commit hash: 883e5e627be0
Comment 2 Charles Crouch 2011-05-09 16:54:44 EDT
Didn't get fixed in rhq4, currently in master. Added for triage for RHQ4.0.1
Comment 3 Heiko W. Rupp 2011-05-10 10:51:17 EDT
Works in master.
Comment 4 John Mazzitelli 2011-05-10 14:22:52 EDT
(In reply to comment #1)
> Fixed, commit hash: 883e5e627be0

that's an incorrect sha - it should be c76a944d159c23baf04e0967d044504b782b85cd
Comment 5 John Mazzitelli 2011-05-10 14:23:51 EDT
cherry picked the master commit to release-4.0.0 branch, commit 9df1617f7d2b81a46637f985fc126b26002631d5
Comment 6 Mike Foley 2011-05-11 13:28:44 EDT
verified RHQ 4.0.1 by observing the summary tab of 2 autogroups (files, and cpus).  also reviewed for sanity the individual summary tabs ..as well as the monitoring tab.
Comment 7 Corey Welton 2011-05-23 21:13:45 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:13:45 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 9 Corey Welton 2011-05-23 21:13:45 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.